## X11 Backend

X11 Backend — Functionality specific to the X11 windowing system

## Stability Level

Unstable, unless otherwise indicated

## Functions

Window | xfw_window_x11_get_xid ()

## Includes

    #include <libxfce4windowing/xfw-x11.h>

## Description

This file includes functionality specific to the X11 windowing system, if libxfce4windowing does not provide all the functionality an application needs.

## Functions

### xfw_window_x11_get_xid ()

    Window
    xfw_window_x11_get_xid (XfwWindow *window);

On X11, returns the platform-specific Window handle to the underlying window.

It is an error to call this function if the application is not currently running on X11.

#### Parameters

window | A XfwWindow |

#### Returns

An X11 Window handle.

Since: 4.19.3